OpenJPEG 2.5.0

Data Fields
opj_marker_info Struct Reference

Marker structure. More...

`#include <openjpeg.h>`

## Data Fields
unsigned short int | type
| marker type More...
OPJ_OFF_T | pos
| position in codestream More...
int | len
| length, marker val included More...

## Detailed Description

Marker structure.

## Field Documentation

## ◆ len

int opj_marker_info::len

length, marker val included

Referenced by opj_j2k_add_mhmarker(), opj_j2k_add_tlmarker(), opj_j2k_dump_MH_index(), and opj_write_mainmhix().

## ◆ pos

OPJ_OFF_T opj_marker_info::pos

position in codestream

Referenced by opj_j2k_add_mhmarker(), opj_j2k_add_tlmarker(), opj_j2k_dump_MH_index(), and opj_write_mainmhix().

## ◆ type

unsigned short int opj_marker_info::type

marker type

Referenced by opj_j2k_add_mhmarker(), opj_j2k_add_tlmarker(), opj_j2k_dump_MH_index(), and opj_write_mainmhix().

The documentation for this struct was generated from the following file:

- openjpeg.h